SCMDSPI(4)

NAME
scmdspi - SPI frontend to the Sparkfun Serial Controlled Motor Driver

SYNOPSIS
scmd* at spi? slave 0
scmd* at spi? slave 1

DESCRIPTION
The scmdspi driver provides the SPI frontend attachment for the Sparkfun SCMD device.

SYSCTL VARIABLES
The following sysctl(3) variables are inherited from scmd(4) :

hw.scmd0.debug
    If the driver is compiled with SCMD_DEBUG, this node will appear and can be used to set the debugging level.

FILES
/dev/scmdu
    character device allowing access to the register space of a main u, SCMD device

SEE ALSO
iic(4), spi(4), scmdi2c(4), scmdspi(4), scmdctl(1), sysctl(8)

HISTORY
The scmdspi driver first appeared in NetBSD 10.0.

AUTHORS
-nosplit The scmdspi driver was written by Brad Spencer <brad@anduin.eldar.org>.

BUGS
When used in SPI mode, the SCMD device uses an odd method of doing reads that can become stuck. See the command spi_read_one in the scmdctl(1) utility to try and unstick the device when this happens.